MozillaZine

Firefox 0.9 compatible Themes

Discuss application theming and theme development.
lokean
 
Posts: 370
Joined: May 24th, 2004, 8:27 pm
Location: London, UK

Post Posted June 8th, 2004, 11:27 am

I can install them on my linux builds with http://texturizer.net/firefox/themes/#install

mezziah

User avatar
 
Posts: 1738
Joined: November 29th, 2002, 4:25 pm
Location: Central Europe

Post Posted June 8th, 2004, 12:03 pm

The link to iCandy Junior doesn't work.

aaron

User avatar
 
Posts: 3130
Joined: November 4th, 2002, 8:49 pm
Location: Texas

Post Posted June 8th, 2004, 12:16 pm

Doesn't install or is an invalid link? I think I did everything right this time with the install.rdf files.... I don't know though.

djl47
 
Posts: 253
Joined: October 9th, 2003, 12:49 am
Location: California

Post Posted June 8th, 2004, 12:25 pm

aaron wrote:I have done some updates to my themes, and now that I know that you can package 0.8 and 0.9 themes in the same jar file, I no longer use a separate file for 0.9 themes.
Smoke
http://www.cs.txstate.edu/~as1130/theme ... e_fb_8.jar


You're on the right track. Smoke installed and activated with the use theme button on my system. Clicking the use theme button to change your theme does make all of the open tabs go blank though so you'll have to restart Firefox. This isn't a problem with the theme since I've seen it happen with four different themes now.

Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7) Gecko/20040608 Firefox/0.8.0+

aaron

User avatar
 
Posts: 3130
Joined: November 4th, 2002, 8:49 pm
Location: Texas

Post Posted June 8th, 2004, 12:40 pm

Weird. See, I don't like this, with the theme manager acting all twitchy as hell. They should have held off for the switch until it worked ok, like when there was the change with /bindings/ and /widgets/ -- that was a one day transition and things worked properly. You knew Firefox wasn't to blame, and that one of your themes was. With this crap, you don't know if it's the browser or the theme. It's very frustrating when trying to update themes, let me tell you what.

mezziah

User avatar
 
Posts: 1738
Joined: November 29th, 2002, 4:25 pm
Location: Central Europe

Post Posted June 8th, 2004, 12:56 pm

The file isn't present. I get the following error msg:

The requested web page was not found on this server.
The link on the referring page seems to be wrong or outdated.

Click Here to search the CS website Click Here to return to the CS home page
If you think this is a server error, a broken Link or were directed to this page from the main website.
Please report this problem via this web based form.
Broken Link Reporter
Any Inconvenience caused is regretted.
What will happen next? You never know.

aaron

User avatar
 
Posts: 3130
Joined: November 4th, 2002, 8:49 pm
Location: Texas

Post Posted June 8th, 2004, 1:01 pm

Mezziah, don't use the link in the first post, it is out of date. Use the link either on the first page (by me) (win/linux) (mac os x) or the one on the 4th page (by me) (win/linux/mac os x).
Last edited by aaron on June 8th, 2004, 1:08 pm, edited 1 time in total.

mezziah

User avatar
 
Posts: 1738
Joined: November 29th, 2002, 4:25 pm
Location: Central Europe

Post Posted June 8th, 2004, 1:04 pm

Ah, okay, thanks.
What will happen next? You never know.

TheOneKEA

User avatar
 
Posts: 4864
Joined: October 16th, 2003, 5:47 am
Location: Somewhere in London, riding the Underground

Post Posted June 8th, 2004, 1:33 pm

aaron wrote:Weird. See, I don't like this, with the theme manager acting all twitchy as hell. They should have held off for the switch until it worked ok, like when there was the change with /bindings/ and /widgets/ -- that was a one day transition and things worked properly. You knew Firefox wasn't to blame, and that one of your themes was. With this crap, you don't know if it's the browser or the theme. It's very frustrating when trying to update themes, let me tell you what.


Indeed. Even after I ninjaedited daihard's broken Aviary build, themes refused to install correctly. Hopefully they will sort this out soon, because your themes > *
Proud user of teh Fox of Fire
Registered Linux User #289618

djl47
 
Posts: 253
Joined: October 9th, 2003, 12:49 am
Location: California

Post Posted June 8th, 2004, 2:38 pm

I checked bugzilla for problems in the Theme Manager and found this:
http://bugzilla.mozilla.org/show_bug.cgi?id=245327 "theme switch clears all tabs, disables their history, can't close these tabs".

I did some more testing and it's the switch from one theme to another that causes the symptom.

I agree with Aaron that the changeover to the new EM and TM could probably have been managed more smoothly but some users (like me) would not test extensions or themes without being given a reason to do so. I dabbled with themes and extensions a year or so when this browser was still called Phoenix. TBE was cool but broke the browser more often than not and I eventually stopped trying to get it to work. The only extension I have cared about recently is the now unusable RSS and I would not have done anything with themes if it had not been for all the controversy about the new default (Which I disdain as flat and uninspiring if anyone cares about my opinion).

Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7) Gecko/20040608 Firefox/0.8.0+

Legoguy

User avatar
 
Posts: 255
Joined: June 21st, 2003, 7:21 pm
Location: Gurnee, IL

Post Posted June 8th, 2004, 4:10 pm

djst wrote:http://www.turbogfx.net/firefox/ffmodern/ffmodern06.jar doesn't seem to work. (Firefox Modern)


All I did was add an install.rdf, is there something else I need to do?

daihard
Folder@Home

User avatar
 
Posts: 16633
Joined: November 17th, 2002, 6:27 pm
Location: Lynnwood, WA

Post Posted June 8th, 2004, 6:11 pm

Okay, I need someone's help. How the heck do I install any of the 0.9-compatible themes listed on this thread? I first clicked on the link, but it will only ask me whether to "open" the file or save it. It will NOT invoke the theme installer. So I saved the file, and then tried to open it via File/Open. This has traditionally invoked the theme installer. Not anymore. I tried dragging the file onto the open theme installer, too, but that shut down Firefox!

I am getting desparate. :(
Kubuntu 8.04 (kernel 2.6.24-25-generic) / KDE 3.5.10
CentOS 4.8 (kernel 2.6.9-78.0.22.ELsmp) / KDE 3.5.10
Mac OS X 10.6.1 (Snow Leopard) / iPhone 3GS (32GB black)

[Unknown]
 
Posts: 130
Joined: October 7th, 2003, 12:32 am
Location: Los Angeles

Post Posted June 8th, 2004, 6:43 pm

daihard wrote:Okay, I need someone's help. How the heck do I install any of the 0.9-compatible themes listed on this thread? I first clicked on the link, but it will only ask me whether to "open" the file or save it. It will NOT invoke the theme installer. So I saved the file, and then tried to open it via File/Open. This has traditionally invoked the theme installer. Not anymore. I tried dragging the file onto the open theme installer, too, but that shut down Firefox!

I am getting desparate. :(


Are you using a branch or trunk build? (latest-trunk is trunk builds, they are bad right now...)

I was able to successfully drag into the theme manager and install themes with a recent BEAST build. I even made a theme package for the Qute that was in the nightlies, and merged in all the recent nicities (like the icons in the extension manager..) so I could use Qute properly ^_^.

-[Unknown]

wmc
 
Posts: 36
Joined: February 21st, 2004, 3:02 pm

Post Posted June 8th, 2004, 8:46 pm

Does anyone have a jar the 2.1 Qute theme that is compatible with 0.9?

daihard
Folder@Home

User avatar
 
Posts: 16633
Joined: November 17th, 2002, 6:27 pm
Location: Lynnwood, WA

Post Posted June 8th, 2004, 9:34 pm

[Unknown] wrote:Are you using a branch or trunk build? (latest-trunk is trunk builds, they are bad right now...)

I was able to successfully drag into the theme manager and install themes with a recent BEAST build. I even made a theme package for the Qute that was in the nightlies, and merged in all the recent nicities (like the icons in the extension manager..) so I could use Qute properly ^_^.

I am using my own branch build (2004-06-08 for Linux).

Looks like some of the themes listed in this thread as 0.9-compatible don't really work with the branch build. I tried QuteRetro and was able to install it. I still had to put it on my own web site with the JavaScript install function. Simply dragging the icon onto the theme manager won't do a thing. It could be a Linux-specific issue. I will try BEAST, too.
Kubuntu 8.04 (kernel 2.6.24-25-generic) / KDE 3.5.10
CentOS 4.8 (kernel 2.6.9-78.0.22.ELsmp) / KDE 3.5.10
Mac OS X 10.6.1 (Snow Leopard) / iPhone 3GS (32GB black)

Return to Theme Development


Who is online

Users browsing this forum: No registered users and 1 guest